Subject: Re: bug#60761: [PATCH] Remove deprecated RLS server from list of eglot servers

From: Dimitri Belopopsky <[email-masked]>
Date: Fri, 13 Jan 2023 08:36:51 +0100

On Fri, 13 Jan 2023, 08:19 Eli Zaretskii, <[email-masked]> wrote:

> > Cc: João Távora <[email-masked]>
> > From: Stefan Kangas <[email-masked]>
> > Date: Thu, 12 Jan 2023 17:15:42 -0800
> >
> > Dimitri Belopopsky <[email-masked]> writes:
> >
> > > I'm suggesting removing RLS from the server list in eglot, as it is
> > > currently not maintained anymore by the Rust developers.
> > > The github was archived: https://github.com/rust-lang/rls
> >
> > Thanks, pushed to master (commit f1310859a0d).
>
> Does "not maintained anymore by the Rust developers" necessarily mean
> it is wrong to use it?  Having the server mentioned in the DB doesn't
> mean we force the users to use it, just that we support it if the user
> has it installed.
>

In the general case I think I agree.
Here, it is explicitely stated that users should move to rust-analyzer.
There is nothing wrong in using it anyway,
but I don't think it should be encouraged to use in this case.

> João, WDYT?  I guess we should to have some criteria for when to
> remove servers from the DB?
>